﻿/*
 *Copyright(C) 2024 by Chief All rights reserved.
 *Unity版本：2023.2.5f1c1 
 *作者:Chief  
 *创建日期: 2024-03-06 
 *模块说明：Ecs通用模块-渲染部分编辑器工具
 *版本: 1.0
*/

using Sirenix.OdinInspector;
using System;
using UnityEngine;

namespace Aster.DotsRenderEditor
{
    /// <summary>
    /// 错误信息
    /// </summary>
    [Serializable]
    public class PrefabStatisticsErrorInfo 
    {
        [HideLabel]
        [VerticalGroup("模型")]
        public GameObject ErrorTarget;

        [DisplayAsString]
        [HideLabel]
        [VerticalGroup("错误信息")]
        public string ErrorMessage;


        [DisplayAsString]
        [HideLabel]
        [VerticalGroup("路径")]
        public string Path;

        public PrefabStatisticsErrorInfo(GameObject errorTarget, string error, string path)
        {
            ErrorTarget = errorTarget;
            ErrorMessage = error;
            Path = path;
        }

    }
}
